<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_FCActiveConnection" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_FCActiveConnection">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Discriminator" nillable="true">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">An enumeration used to discriminate the context in which the ActiveConnectionis instantiated: Not Applicable(2) indicates that this ActiveConnection is not instantiated in any special context, VF(3) indicates that this ActiveConnection is instantiated in the context of Virtual Fabrics, NPIV(7) indicates that this ActiveConnection is instantiated in the context of N Port Virtualization (NPIV), Chassis(9) icdicates that this ActiveConnection is instantiated as part of a chassis to chassis connection, FCoE(10) indicates that this ActiveConnection is instatiated in the context of Fibre Channel over Ethernet (FCoE).</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="0">Unknown</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="2">Not Applicable</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="3">VF</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="5">IFR</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="7">NPIV</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="9">Chassis</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="10">FCoE</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="..">DMTF Reserved</cim:Qualifier>
<cim:Classorigin name="CIM_FCActiveConnection"/>
</xs:appinfo>
</xs:annotation>
<xs:complexType>
<xs:simpleContent>
<xs:restriction base="cim:cimAnySimpleType">
<xs:simpleType>
<xs:union>
<xs:simpleType>
<xs:restriction base="xs:unsignedShort">
<xs:enumeration value="0"/>
<xs:enumeration value="2"/>
<xs:enumeration value="3"/>
<xs:enumeration value="5"/>
<xs:enumeration value="7"/>
<xs:enumeration value="9"/>
<xs:enumeration value="10"/>
</xs:restriction>
</xs:simpleType>
<xs:simpleType>
<xs:union>
<xs:simpleType>
<xs:restriction base="xs:unsignedShort">
<xs:enumeration value="1"/>
</xs:restriction>
</xs:simpleType>
<xs:simpleType>
<xs:restriction base="xs:unsignedShort">
<xs:enumeration value="4"/>
</xs:restriction>
</xs:simpleType>
<xs:simpleType>
<xs:restriction base="xs:unsignedShort">
<xs:enumeration value="6"/>
</xs:restriction>
</xs:simpleType>
<xs:simpleType>
<xs:restriction base="xs:unsignedShort">
<xs:enumeration value="8"/>
</xs:restriction>
</xs:simpleType>
<xs:simpleType>
<xs:restriction base="xs:unsignedShort">
<xs:minInclusive value="11"/>
</xs:restriction>
</xs:simpleType>
</xs:union>
</xs:simpleType>
</xs:union>
</xs:simpleType>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:restriction>
</xs:simpleContent>
</xs:complexType>
</xs:element>
<xs:element name="Antecedent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Antecedent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">A ServiceAccessPoint that is configured to communicate or is actively communicating with the Dependent SAP. In a unidirectional connection, this SAP is the one that is transmitting.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_ActiveConnection"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Dependent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Dependent</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">A second ServiceAccessPoint that is configured to communicate or is actively communicating with the Antecedent SAP. In a unidirectional connection, this SAP is the one that is receiving the communication.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_ActiveConnection"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="TrafficType" nillable="true">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">No value</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">Note: The use of this element is deprecated because it is incorrectly placed on the association. Unicast, broadcast, or other traffic types are not a function of the connection between the referenced endpoints, but rather are a function of the addressing, protocol and basic functionality of the endpoints. 
Deprecated description: The type of traffic that is carried over this connection.</cim:Qualifier>
<cim:Qualifier name="ModelCorrespondence" type="cim:cimString">CIM_ActiveConnection.OtherTrafficDescription</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="0">Unknown</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="1">Other</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="2">Unicast</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="3">Broadcast</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="4">Multicast</cim:Qualifier>
<cim:Qualifier name="Values" type="cim:cimString" valuemap="5">Anycast</cim:Qualifier>
<cim:Classorigin name="CIM_ActiveConnection"/>
</xs:appinfo>
</xs:annotation>
<xs:complexType>
<xs:simpleContent>
<xs:restriction base="cim:cimUnsignedShort">
<xs:enumeration value="0"/>
<xs:enumeration value="1"/>
<xs:enumeration value="2"/>
<xs:enumeration value="3"/>
<xs:enumeration value="4"/>
<xs:enumeration value="5"/>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:restriction>
</xs:simpleContent>
</xs:complexType>
</xs:element>
<xs:element name="OtherTrafficDescription" nillable="true">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">No value</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">Note: The use of this element is deprecated because it is incorrectly placed on the association. Unicast, broadcast, or other traffic types are not a function of the connection between the referenced endpoints, but rather are a function of the addressing, protocol and basic functionality of the endpoints. 
Deprecated description: A string that describes the type of traffic that is being carried over this instance when its Type property is set, for example, to 1 (Other).</cim:Qualifier>
<cim:Qualifier name="MaxLen" type="cim:cimUnsignedInt">64</cim:Qualifier>
<cim:Qualifier name="ModelCorrespondence" type="cim:cimString">CIM_ActiveConnection.TrafficType</cim:Qualifier>
<cim:Classorigin name="CIM_ActiveConnection"/>
</xs:appinfo>
</xs:annotation>
<xs:complexType>
<xs:simpleContent>
<xs:restriction base="cim:cimString">
<xs:maxLength value="64"/>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:restriction>
</xs:simpleContent>
</xs:complexType>
</xs:element>
<xs:element name="IsUnidirectional" nillable="true" type="cim:cimBoolean">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">TRUE means that this connection is unidirectional; FALSE means that this connection is bidirectional. When the connection is unidirectional, the "speaker" should be defined as the Antecedent reference. In a bidirectional connection, the selection of which AccessPoint is the Antecedent or Dependent is immaterial.</cim:Qualifier>
<cim:Classorigin name="CIM_ActiveConnection"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_FCActiveConnection" type="class:CIM_FCActiveConnection_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_FCActiveConnection" superclass="CIM_ActiveConnection"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.45.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Device::FC</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">This association specializes ActiveConnection to represent the connections between two Fibre Channel ProtocolEndpoints. The ActiveConnection can be an ISL, a Host to Switch Link, a Switch to Device Link, or a connection created</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_FCActiveConnection_Type">
<xs:sequence>
<xs:element ref="class:Antecedent"/>
<xs:element ref="class:Dependent"/>
<xs:element maxOccurs="unbounded" minOccurs="0" ref="class:Discriminator"/>
<xs:element minOccurs="0" ref="class:IsUnidirectional"/>
<xs:element minOccurs="0" ref="class:OtherTrafficDescription"/>
<xs:element minOccurs="0" ref="class:TrafficType"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
